import { Component, OnInit } from '@angular/core';
import { BsModalService } from 'ngx-bootstrap/modal';
import { FramePageComponent } from '../../../../frame/core/page/frame.page';
import {ConfTracksDetailComponent} from '../conf-tracks-detail/conf-tracks-detail.component';
import {FrameUpload} from "../../../../../core/frame/upload/frame-upload/frame-upload";
import { MsgService } from '../../../../../core/service/msg.service';

@Component({
  selector: 'app-conf-tracks-page',
  templateUrl: './conf-tracks-page.component.html',
  styleUrls: ['./conf-tracks-page.component.scss']
})
export class ConfTracksPageComponent  extends FramePageComponent implements OnInit {

  FrameUpload = FrameUpload;
  constructor(private modalService: BsModalService) {
    super(modalService);
    this.modalComponent = ConfTracksDetailComponent;
  }


  ngOnInit() {
  }

  uploadCallback(ajax) {
    MsgService.successAlert('导入成功!');
  }


  //导出曲目
  export() {
    this.FuncService.ajaxDownload('conf/tracks/export.htm');
  }

}
